KDE 4.9 PyKDE API Reference

- KDE's Python API

# ProcessingInstruction Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.Node
Namespace: DOM

## Detailed Description

The ProcessingInstruction interface represents a &quot;processing instruction&quot;, used in XML as a way to keep processor-specific information in the text of the document.

## Methods

| __init__ (self)
| __init__ (self, DOM.ProcessingInstruction other)
| __init__ (self, DOM.Node other)
DOM.DOMString | data (self)
| setData (self, DOM.DOMString a0)
DOM.StyleSheet | sheet (self)
DOM.DOMString | target (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.ProcessingInstruction | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString data | ( |  | self ) |

The content of this processing instruction. This is from the first non white space character after the target to the character immediately preceding the ?&gt; .

setData | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see data DOMException NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

DOM.StyleSheet sheet | ( |  | self ) |

Introduced in DOM Level 2 This method is from the LinkStyle interface

The style sheet.

DOM.DOMString target | ( |  | self ) |

The target of this processing instruction. XML defines this as being the first token following the markup that begins the processing instruction.